﻿// <auto-generated />
using System;
using JeiWebAppGestao.Data;
using Microsoft.EntityFrameworkCore;
using Microsoft.EntityFrameworkCore.Infrastructure;
using Microsoft.EntityFrameworkCore.Metadata;
using Microsoft.EntityFrameworkCore.Migrations;
using Microsoft.EntityFrameworkCore.Storage.ValueConversion;

namespace JeiWebAppGestao.Migrations
{
    [DbContext(typeof(JeiWebAppGestaoContext))]
    [Migration("20200217000732_criardb")]
    partial class criardb
    {
        protected override void BuildTargetModel(ModelBuilder modelBuilder)
        {
#pragma warning disable 612, 618
            modelBuilder
                .HasAnnotation("ProductVersion", "3.1.1")
                .HasAnnotation("Relational:MaxIdentifierLength", 128)
                .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

            modelBuilder.Entity("JeiWebAppGestao.Models.Admin", b =>
                {
                    b.Property<int>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("int")
                        .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

                    b.Property<string>("Password")
                        .HasColumnType("nvarchar(max)");

                    b.Property<int?>("SAdminId")
                        .HasColumnType("int");

                    b.Property<string>("Username")
                        .HasColumnType("nvarchar(max)");

                    b.HasKey("Id");

                    b.HasIndex("SAdminId");

                    b.ToTable("Admin");
                });

            modelBuilder.Entity("JeiWebAppGestao.Models.RifaPs4", b =>
                {
                    b.Property<int>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("int")
                        .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

                    b.Property<int?>("AdminId")
                        .HasColumnType("int");

                    b.Property<string>("Email")
                        .HasColumnType("nvarchar(max)");

                    b.Property<string>("Nome")
                        .HasColumnType("nvarchar(max)");

                    b.Property<int>("numAluno")
                        .HasColumnType("int");

                    b.HasKey("Id");

                    b.HasIndex("AdminId");

                    b.ToTable("RifaPs4");
                });

            modelBuilder.Entity("JeiWebAppGestao.Models.RifaTele", b =>
                {
                    b.Property<int>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("int")
                        .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

                    b.Property<int?>("AdminId")
                        .HasColumnType("int");

                    b.Property<string>("Email")
                        .HasColumnType("nvarchar(max)");

                    b.Property<string>("Nome")
                        .HasColumnType("nvarchar(max)");

                    b.Property<int>("numAluno")
                        .HasColumnType("int");

                    b.HasKey("Id");

                    b.HasIndex("AdminId");

                    b.ToTable("RifaTele");
                });

            modelBuilder.Entity("JeiWebAppGestao.Models.SuperAdmin", b =>
                {
                    b.Property<int>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("int")
                        .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

                    b.Property<string>("Password")
                        .HasColumnType("nvarchar(max)");

                    b.Property<string>("Username")
                        .HasColumnType("nvarchar(max)");

                    b.HasKey("Id");

                    b.ToTable("SuperAdmin");
                });

            modelBuilder.Entity("JeiWebAppGestao.Models.Admin", b =>
                {
                    b.HasOne("JeiWebAppGestao.Models.SuperAdmin", "SAdmin")
                        .WithMany("Admins")
                        .HasForeignKey("SAdminId");
                });

            modelBuilder.Entity("JeiWebAppGestao.Models.RifaPs4", b =>
                {
                    b.HasOne("JeiWebAppGestao.Models.Admin", "Admin")
                        .WithMany("RifasPs4")
                        .HasForeignKey("AdminId");
                });

            modelBuilder.Entity("JeiWebAppGestao.Models.RifaTele", b =>
                {
                    b.HasOne("JeiWebAppGestao.Models.Admin", "Admin")
                        .WithMany("RifasTele")
                        .HasForeignKey("AdminId");
                });
#pragma warning restore 612, 618
        }
    }
}
